<?xml version="1.0" encoding="utf-8"?>
<!-- dotCover configuration for collecting coverage reports during test runs. -->
<CoverageParams>
    <!-- Summary XML is used to extract the total coverage percentage that is stored by GitLab for the pipeline job.
         Detailed XML is converted into Cobertura format and processed by GitLab.
         The HTML report can directly be viewed from within the artefact browser on GitLab. -->
    <ReportType>SummaryXML,DetailedXML,HTML</ReportType>
    <!-- One output tag per report type. Output directories are relative to this file. -->
    <Output>../reports/Summary.xml</Output>
    <Output>../reports/dotCover.xml</Output>
    <Output>../reports/dotCover.htm</Output>

    <!-- Remove auto-implemented properties from report. -->
    <HideAutoProperties>True</HideAutoProperties>

    <Filters>
        <ExcludeFilters>
            <!-- Exclude tests assemblies. -->
            <FilterEntry>
                <ModuleMask>*.Tests</ModuleMask>
            </FilterEntry>
            <!-- Exclude JUnit test logger package. -->
            <FilterEntry>
                <ModuleMask>Spekt.TestLogger</ModuleMask>
            </FilterEntry>
        </ExcludeFilters>
    </Filters>
</CoverageParams>
